Bug 1484601 - TLS for Manila Internal services
Summary: TLS for Manila Internal services
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-manila
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Upstream M2
: 15.0 (Stein)
Assignee: Goutham Pacha Ravi
QA Contact: Jason Grosso
RHOS Documentation Team
URL:
Whiteboard:
Depends On: 1484499 1484506 1484512 1484517 1585835
Blocks: 1484520 1484521 1484524 1484535 1484542 1484547 1484550 1486759
TreeView+ depends on / blocked
 
Reported: 2017-08-24 00:28 UTC by Sean Cohen
Modified: 2019-09-26 10:44 UTC (History)
32 users (show)

Fixed In Version: puppet-manila-14.4.1-0.20190420104039.5247d70.el8ost
Doc Type: Enhancement
Doc Text:
The Shared File Systems service (manila) API now supports Transport Layer Security (TLS) endpoints on the internal API network, through SSL/TLS certificates. The Shared File Systems service is automatically secured when you opt to secure Red Hat OpenStack Platform during deployment.
Clone Of: 1484517
Environment:
Last Closed: 2019-09-21 11:15:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 592188 0 None MERGED Add httpd and tls support to manila-api 2020-07-07 20:17:42 UTC
OpenStack gerrit 594566 0 None MERGED Switch Manila API to httpd and support TLS 2020-07-07 20:17:42 UTC
Red Hat Bugzilla 1585835 0 high CLOSED [RFE][Manila] Implement manila-api with httpd 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:16:08 UTC

Comment 6 Sean Cohen 2018-06-06 12:27:44 UTC
Pushing out to OSP15 due to the dpenadices documented in bug 1585835
Sean

Comment 17 Goutham Pacha Ravi 2019-02-15 19:24:48 UTC
All necessary patches have merged upstream into master and are slated to be included in the Stein release of TripleO.

Comment 40 Greg Rakauskas 2019-06-26 15:22:23 UTC
Hi Goutham,

Thank you so much for taking care of this. Now, this enhancement will be
published in the RHOSP 15 Beta relnotes!

Best,
--Greg

Comment 45 errata-xmlrpc 2019-09-21 11:15:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.